GET https://api.sonorancms.com/v2/community/accounts/00000000-0000-0000-0000-000000000000/ranks
Rate limit: 27 requests per minute
Authenticated v2 endpoints are rate limited per credential rather than per IP address.Retrieve the ranks assigned to an account.
Route Parameters
| Name | Type | Required | Description | | --- | --- | --- | --- | |accountId | string (uuid) | Yes | Target accountId. |
Example Request
- Sonoran.lua
- Sonoran.js
- Sonoran.py
- Sonoran.Net
- OpenAPI
- cURL
local Sonoran = require("sonoran")
local sonoran = Sonoran.createClient({
product = Sonoran.productEnums.CMS,
apiKey = "YOUR_API_KEY",
communityId = "YOUR_COMMUNITY_ID",
defaultServerId = 1,
timeoutMs = 30000,
})
local accountId = "00000000-0000-0000-0000-000000000000"
local response = sonoran.cms:getAccountRanksV2(accountId)
if response.success then
print(response.data)
else
print(response.reason)
end
const Sonoran = require("sonoran.js");
const instance = Sonoran.instance({
apiKey: "YOUR_API_KEY",
communityId: "YOUR_COMMUNITY_ID",
product: Sonoran.productEnums.CMS,
serverId: 1,
});
async function main() {
const accountId = "00000000-0000-0000-0000-000000000000";
const response = await instance.cms.getAccountRanksV2(accountId);
if (response.success) {
console.log(response.data);
} else {
console.error(response.reason);
}
}
main().catch((error) => {
console.error(error);
});
from sonoran import Instance, productEnums
instance = Instance(
apiKey="YOUR_API_KEY",
communityId="YOUR_COMMUNITY_ID",
product=productEnums.CMS,
serverId=1,
)
accountId = "00000000-0000-0000-0000-000000000000"
response = instance.cms.getAccountRanksV2(accountId)
if response.success:
print(response.data)
else:
print(response.reason)
using Sonoran;
using System.Text.Json;
using var sonoran = new SonoranClient(new SonoranClientOptions
{
product = SonoranProduct.CMS,
apiKey = "YOUR_API_KEY",
communityId = "YOUR_COMMUNITY_ID",
defaultServerId = 1
});
var accountId = "00000000-0000-0000-0000-000000000000";
var response = await sonoran.Cms.getAccountRanksV2(accountId);
if (response.success)
{
Console.WriteLine(JsonSerializer.Serialize(response.data));
}
else
{
Console.WriteLine(response.reason);
}
openapi: "3.0.3"
info:
title: "Sonoran CMS v2 - Get Account Ranks"
version: "1.0.0"
description: "Retrieve the ranks assigned to an account."
servers:
-
url: "https://api.sonorancms.com"
paths:
/v2/community/accounts/{accountId}/ranks:
get:
summary: "Get Account Ranks"
operationId: "getAccountRanks"
parameters:
-
description: "Target account UUID."
name: "accountId"
in: "path"
schema:
type: "string"
format: "uuid"
required: true
security:
-
bearerAuth: []
responses:
"200":
description: "Successful response"
content:
application/json:
schema:
type: "object"
example:
success: true
data:
- "22222222-2222-2222-2222-222222222222"
- "33333333-3333-3333-3333-333333333333"
meta:
timestamp: "2026-04-15T00:00:00.000Z"
path: "/v2/community/accounts/00000000-0000-0000-0000-000000000000/ranks"
components:
securitySchemes:
bearerAuth:
type: "http"
scheme: "bearer"
bearerFormat: "JWT"
curl --request GET \
--url "https://api.sonorancms.com/v2/community/accounts/00000000-0000-0000-0000-000000000000/ranks" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Accept: application/json"
Response
Thedata array contains only the account rank ids, in the same order stored on the account row.
{
"success": true,
"data": [
"22222222-2222-2222-2222-222222222222",
"33333333-3333-3333-3333-333333333333"
],
"meta": {
"timestamp": "2026-04-15T00:00:00.000Z",
"path": "/v2/community/accounts/00000000-0000-0000-0000-000000000000/ranks"
}
}

